## org.eclipse.emf.codegen.ecore.genmodel
Interface GenParameter

All Superinterfaces:
  EObject, GenBase, GenTypedElement, Notifier

All Known Implementing Classes:
  GenParameterImpl

    public interface GenParameter

extends GenTypedElement

A representation of the model object 'Gen Parameter'.

The following features are supported:

- `Gen Operation`
- `Ecore Parameter`

See Also:
  `GenModelPackage.getGenParameter()`

Method Summary
`EParameter` `getEcoreParameter()` Returns the value of the 'Ecore Parameter' reference
`GenOperation` `getGenOperation()` Returns the value of the 'Gen Operation' container reference.
`GenPackage` `getGenPackage()`
`java.lang.String` `getName()`
`java.lang.String` `getQualifiedModelInfo()`
`void` `initialize(EParameter eParameter)`
`boolean` `reconcile(GenParameter oldGenParameterVersion)`
`void` `setEcoreParameter(EParameter value)` Sets the value of the '`Ecore Parameter`' reference
`void` `setGenOperation(GenOperation value)` Sets the value of the '`Gen Operation`' container reference

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenTypedElement

`getEcoreModelElement, getEffectiveComplianceLevel, getEObjectCast, getGenClassType, getGenDataTypeType, getGenEnumType, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedInternalType, getImportedInternalType, getImportedMapEntryType, getImportedMapKeyType, getImportedMapTemplateArguments, getImportedMapValueType, getImportedType, getImportedType, getInternalTypeCast, getListItemType, getListItemType, getListTemplateArguments, getLowerBound, getMapEntryTypeGenClass, getMapGenClass, getMapItemType, getNonEObjectInternalTypeCast, getNonEObjectInternalTypeCast, getObjectType, getObjectType, getOrderedFlag, getPrimitiveValueFunction, getQualifiedListItemType, getQualifiedListItemType, getRawBoundType, getRawImportedBoundType, getRawImportedType, getRawListItemType, getRawType, getRawTypeCast, getType, getType, getTypeClassifier, getTypeClassifierAccessorName, getTypeGenClass, getTypeGenClassifier, getTypeGenDataType, getTypeGenEnum, getTypeGenPackage, getUniqueFlag, getUpperBound, hasGenericType, isBooleanType, isEffectiveSuppressEMFTypes, isEnumBasedType, isEnumType, isFeatureMapType, isFeatureMapWrapped, isListDataType, isListType, isMapType, isPrimitiveType, isStringBasedType, isStringType, isUncheckedCast, isUncheckedCast, isUnique, isWrappedFeatureMapType`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenOperation

    GenOperation getGenOperation()

  Returns the value of the 'Gen Operation' container reference. It is bidirectional and its opposite is '`Gen Parameters`'.

  Returns:
    the value of the 'Gen Operation' container reference.
  See Also:
    `setGenOperation(GenOperation)`, `GenModelPackage.getGenParameter_GenOperation()`, `GenOperation.getGenParameters()`

### setGenOperation

    void setGenOperation(GenOperation value)

  Sets the value of the '`Gen Operation`' container reference.

  Parameters:
    `value` - the new value of the 'Gen Operation' container reference.
  See Also:
    `getGenOperation()`

### getEcoreParameter

    EParameter getEcoreParameter()

  Returns the value of the 'Ecore Parameter' reference.

  Returns:
    the value of the 'Ecore Parameter' reference.
  See Also:
    `setEcoreParameter(EParameter)`, `GenModelPackage.getGenParameter_EcoreParameter()`

### setEcoreParameter

    void setEcoreParameter(EParameter value)

  Sets the value of the '`Ecore Parameter`' reference.

  Parameters:
    `value` - the new value of the 'Ecore Parameter' reference.
  See Also:
    `getEcoreParameter()`

### getName

    java.lang.String getName()

### getGenPackage

    GenPackage getGenPackage()

### initialize

    void initialize(EParameter eParameter)

### getQualifiedModelInfo

    java.lang.String getQualifiedModelInfo()

### reconcile

    boolean reconcile(GenParameter oldGenParameterVersion)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.